Skip to main content
GET
/
api
/
library
/
sources
List Sources
curl --request GET \
  --url https://api.example.com/api/library/sources
{
  "page": 2,
  "pages": 1,
  "sources": [
    {
      "chunk_count": 1,
      "id": "<string>",
      "indexed_at": "2023-11-07T05:31:56Z",
      "namespace": "<string>",
      "title": "<string>",
      "type": "youtube",
      "channel": "<string>",
      "description": "<string>",
      "duration": 1,
      "feedback_down": 0,
      "feedback_up": 0,
      "file_path": "<string>",
      "has_meaningful_learnings": true,
      "learnings": {
        "code_snippets": [
          {
            "code": "<string>",
            "description": "<string>",
            "language": "<string>",
            "verdict": {
              "explanation": "<string>",
              "status": "correct",
              "corrected_code": "<string>",
              "corrected_description": "<string>"
            }
          }
        ],
        "concepts": [
          "<string>"
        ],
        "summary": "<string>",
        "tools": [
          "<string>"
        ]
      },
      "taxonomy_confidence": 0.5,
      "taxonomy_labels": [
        "<string>"
      ],
      "taxonomy_path": "<string>",
      "thumbnail_url": "<string>",
      "upload_date": "<string>",
      "url": "<string>",
      "video_id": "<string>"
    }
  ],
  "total": 1,
  "all_concepts": [
    "<string>"
  ],
  "all_taxonomy_labels": [
    "<string>"
  ],
  "all_tools": [
    "<string>"
  ],
  "metrics": {
    "filtered_chunks": 0,
    "filtered_concepts": 0,
    "filtered_sources": 0,
    "filtered_tools": 0,
    "total_chunks": 0,
    "total_concepts": 0,
    "total_sources": 0,
    "total_tools": 0
  }
}

Query Parameters

namespace
string | null

Filter by namespace

type
enum<string> | null

Filter by source type (youtube, document, article, obsidian)

Available options:
youtube,
document,
article,
obsidian
search
string | null

Search title or channel

concept
string | null

Filter by concept

tool
string | null

Filter by tool

taxonomy
string | null

Filter by taxonomy label

sort
enum<string>
default:recent

Sort order

Available options:
recent,
chunks,
used
page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:20

Items per page

Required range: 1 <= x <= 100
show_all
boolean
default:false

Show all sources including project-owned and Obsidian

Response

Successful Response

Paginated list of sources.

page
integer
required
Required range: x >= 1
pages
integer
required
Required range: x >= 0
sources
SourceItem · object[]
required
total
integer
required
Required range: x >= 0
all_concepts
string[]
all_taxonomy_labels
string[]
all_tools
string[]
metrics
SourceListMetrics · object

Library aggregate metrics for current scope and filtered result set.